#ifndef TLINESSHAPE_P_H
#define TLINESSHAPE_P_H

#include "TLinesShape.h"

namespace graphed {

class TLinesShapePrivate: public TDataShapePrivate
   {
   public:
      TSettableVar_RF UpdateBoundingRect() const;
      void UpdateBoundingRect(QRectF &r, const QPointF &PF) const;

      TPointFList Points;
      TSettableVar_PF FreePoint;
      mutable TSettableVar_RF BoundingRect;
      qint32 points_count;
      bool closed_spline;

      //variables for dxf import support.
      bool __x_set;
      bool __y_set;
      qreal __x_val;
      qreal __y_val;
   };

}

#endif // TLINESSHAPE_P_H
